URLCODING(3)

NAME
urlcoding - a Libbash library for encoding and decoding URL's.

SYNOPSIS
urlEncodeString [-l] <STRING>
urlEncodeFile [-l] <FILE>
urlEncodeStream [-l]
urlDecodeString <STRING>
urlDecodeFile <FILENAME>
urlDecodeStream

DESCRIPTION

urlcoding is a collection of functions that convert ASCII-text to standard URL's and vice-versa. The AWK code used is based on code by Heiner Steven <heiner.steven@odn.de>

The function list:
urlEncodeString
    Creates a URL from an ASCII string
urlEncodeFile
    Converts a file into URL-valid text
urlEncodeStream
    Converts standard input into URL-valid text
urlDecodeString
    Converts a URL-encoded text back to a plain-text form
urlDecodeFile
    Coverts URL-encoded text in a file back to plain text
urlDecodeStream
    Converts URL-encoded standard input to text

Detailed interface description follows.

The [-l] option for the encoding functions should be used when line-feed characters ('\n') are to be encoded as well.

All functions print the results of their conversions to standard output.

The exit status of all functions is that of the command 'awk', with '0' for success

FUNCTIONS DESCRIPTIONS

  urlEncodeString -l STRING
Converts STRING - a string of ASCII characters - to URL.

  urlEncodeFile -l FILE
Coverts FILE of URL-encoded text to plain text

  urlEncodeStream -l
Converts text from standard input to URL-text.

  urlDecodeString STRING
Converts URL-encoded string STRING back to text.

  urlDecodeFile FILENAME
Converts the URL-encoded text in FILE to plain text.

  urlDecodeStream
Converts the URL-encoded text from standard input to plain-text

AUTHORS
Alon Keren <alon.keren@gmail.com>

SEE ALSO
ldbash(1), libbash(1)